/**
 * JORM: an implementation of a generic mapping system for persistent Java
 *       objects. Two mappings are supported: to RDBMS and to binary files.
 * Copyright (C) 2001-2004 France Telecom R&D - INRIA
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * Contact: jorm-team@objectweb.org
 *
 */

package jorm;

import org.objectweb.jorm.api.PAccessor;
import org.objectweb.jorm.api.PException;
import org.objectweb.jorm.naming.api.PName;

public interface Olstore_userAccessor extends PAccessor {

	//Accessors to the address field
	public void paSetAddress(PName val, Object connection) throws PException;
	public PName paGetAddress(Object connection) throws PException;

	//Accessors to the emailAdd field
	public void paSetEmailAdd(java.lang.String val) throws PException;
	public java.lang.String paGetEmailAdd() throws PException;

	//Accessors to the fname field
	public void paSetFname(java.lang.String val) throws PException;
	public java.lang.String paGetFname() throws PException;

	//Accessors to the friends field
	public void paSetFriends(PName val, Object connection) throws PException;
	public PName paGetFriends(Object connection) throws PException;

	//Accessors to the jonasCMRFriend_User field
	public void paSetJonasCMRFriend_User(PName val, Object connection) throws PException;
	public PName paGetJonasCMRFriend_User(Object connection) throws PException;

	//Accessors to the lname field
	public void paSetLname(java.lang.String val) throws PException;
	public java.lang.String paGetLname() throws PException;

	//Accessors to the orders field
	public void paSetOrders(PName val, Object connection) throws PException;
	public PName paGetOrders(Object connection) throws PException;

	//Accessors to the passwd field
	public void paSetPasswd(java.lang.String val) throws PException;
	public java.lang.String paGetPasswd() throws PException;

	//Accessors to the phoneNum field
	public void paSetPhoneNum(java.lang.String val) throws PException;
	public java.lang.String paGetPhoneNum() throws PException;

	//Accessors to the purchased field
	public void paSetPurchased(PName val, Object connection) throws PException;
	public PName paGetPurchased(Object connection) throws PException;

	//Accessors to the role field
	public void paSetRole(java.lang.String val) throws PException;
	public java.lang.String paGetRole() throws PException;

	//Accessors to the username field
	public void paSetUsername(java.lang.String val) throws PException;
	public java.lang.String paGetUsername() throws PException;
}
